CREAT(2)

NAME
creat - create a new file

LIBRARY
libc

SYNOPSIS
#include <fcntl.h>
int
creat(const char *path, mode_t mode);

DESCRIPTION
This interface is made obsolete by: open(2).

The creat() function is the same as:

    open(path, O_CREAT | O_TRUNC | O_WRONLY, mode);

SEE ALSO
open(2)

HISTORY
The creat() function appeared in AT&T UNIX.